<?php


namespace App\Models\Base;

use App\Models\RecordStatus;
use Illuminate\Database\Eloquent\Model;

class BaseModel extends Model
{

	protected $primaryKey = 'id';

	public function getRouteKeyName(): string
	{
		return 'uid';
	}


	public function getTableName(): string
	{
		return $this->table;
	}
}
